$itemDescriptionWidth: 1088px;
$itemContainerBorderRadius: 4px;
$itemDescriptionHeaderHeight: 65px;
$itemDescriptionFooterHeight: 48px;
$itemDescriptionContentHeight: 487px;
$itemDescriptionHeaderBorderHeight: 8px;
$itemDescriptionNavigationItemWidth: 114px;
$itemDescriptionHeaderBorderColor: #222222;
$itemDescriptionTypeItemNavigationWidth: 450px;
$itemDescriptionFooterBackgroundColor: #434a54;
$itemDescriptionHeaderBackgroundColor: #4fc1e9;
$itemDescriptionContainerBackgroundColor: #f5f5f5;
$itemDescriptionNavigationBottomBackgroundColor: #e9573f;

button {
    background: none;
    border: none;

    &:focus {
      outline: none;
    }
}

.item-description-body {
    top: 0px;
    left: 0px;
    width: 100%;
    height: auto;
    z-index: 1001;
    position: absolute;
    background-color: rgba(235, 238, 241, 0.65);
    padding: 80px 8px 30px;
    box-sizing: border-box;
    min-height: 100%;
}

.item-description-active-type {
    background-color: #d7d7d7;
}

.item-description-disabled {
    background: none;
    opacity: 0.25;

    &:hover {
      background-color: #f5f5f5 !important;
    }
}


@media all and (min-width:400px) {
  .item-description-body {
    padding: 80px 16px 30px;
  }
}

@media all and (min-width:768px) {
  .item-description-body {
    padding: 88px 16px 30px;
  }
}

@media all and (max-width:768px) {
  .item-description-table__header {
    justify-content: space-between;
  }
}

.item-description-table {
  p {
    line-height: 1;
  }
  font-family: $Rubik-Font;
  font-size: 12px;
  border-radius: 4px;
  overflow: hidden;
  box-shadow: 0px 4px 8px 0px rgba(0, 0, 0, 0.24);
  background: rgba(255,255,255,1);
  background: -webkit-linear-gradient(bottom left, rgba(255,255,255,1) 0%, rgba(236,236,236,1) 100%);
  background: -o-linear-gradient(bottom left, rgba(255,255,255,1) 0%, rgba(236,236,236,1) 100%);
  background: linear-gradient(to top right, rgba(255,255,255,1) 0%, rgba(236,236,236,1) 100%);
  filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ffffff', endColorstr='#ececec', GradientType=1 );
  .item-description-table__header {
    display: flex;
    height: 48px;
    padding: 0 8px;
    background-color: rgb(79, 193, 233);
    border-bottom: 8px solid rgb(34, 34, 34);
    color: rgba(67, 74, 84, 0.8);
    overflow: hidden;
    .item-description-table__header__main_icon {
      width: 48px;
      height: 48px;
      flex-grow: 0;
      flex-shrink: 0;
    }
    .item-description-table__header__main_info {
      display: none;
      box-sizing: border-box;
    }
    .item-description-table__header__icon_right_first,
    .item-description-table__header__icon_right_second,
    .item-description-table__header__icon_right_third {
      width: 48px;
      height: 48px;
      flex-grow: 0;
      flex-shrink: 0;
      cursor: pointer;
      span {
        width: 100%;
        height: 100%;
      }
    }
    .item-description-table__header__icon_right_first {
      margin-left: auto;
    }
    .item-description-table__header__icon_right_first:hover,
    .item-description-table__header__icon_right_first_is_editing {
      .ic-edit-active {
        background-image: url("/assets/svg/icon-edit-inactive.svg");
      }
    }
    .item-description-table__header__icon_right_second:hover {
      .ic-delete-active {
        background-image: url('/assets/svg/icon-delete-inactive.svg');
      }
    }
    .item-description-table__header__icon_right_third:hover {
      .ic-edit-active {
        background-image: url("/assets/svg/icon-edit-inactive.svg");
      }
    }
  }
  .item-description-table__main_section {
    display: flex;
    flex-wrap: wrap;
    color: rgba(67, 74, 84, 0.8);
    .item-description-table__main_section__left_part,
    .item-description-table__main_section__right_part {
      width: 100%;
      padding: 0 8px;
    }
    .item-description-table__main_section__left_part {
      display: flex;
      justify-content: flex-start;
      flex-wrap: wrap;
      align-items: center;
      align-content: center;
      box-sizing: border-box;
      height: 48px;
      background: white;
      .item-description-table__main_section__left_part__name_container {
        width: 100%;
        display: flex;
        flex-wrap: nowrap;
        font-size: 12px;
        font-weight: 500;
        margin-bottom: 2px;
        .item-description-table__main_section__left_part__name_container__item_type_name {
          flex-shrink: 0;
          box-sizing: border-box;
          padding-right: 3px;
          p {
            width: 100%;
            font-weight: 500;
          }
        }
        .item-description-table__main_section__left_part__name_container__item__name {
          width: 100%;
          overflow: hidden;
          p {
            white-space: nowrap;
            width: 100%;
            overflow: hidden;
            text-overflow: ellipsis;
            input {
              border: none;
              background: none;
              outline: none;
              padding: 0;
              height: 12px;
              font-size: 12px;
              color: rgba(67, 74, 84, 0.8);
              font-family: $Rubik-Font;
              font-weight: 500;
              padding-bottom: 8px;
              transition: all 1s ease
            }

            .valid-input {
              border-bottom: 2px solid #C9BFBF;
            }

            .invalid-input {
              border-bottom: 2px solid #DC143C;
            }
          }
        }
      }
      .item-description-table__main_section__left_part__date_author_container {
        margin-top: 10px;
        .item-description-table__main_section__left_part__author {
          display: none;
        }
        .item-description-table__main_section__left_part__date_container {
          font-size: 10px;
          width: 100%;
          display: flex;
          flex-wrap: nowrap;
          .item-description-table__main_section__left_part__date_container_date {
            margin-right: 3px;
          }
        }
      }
    }
    .item-description-table__main_section__right_part {
      display: flex;
      flex-wrap: wrap;
      
      .item-description-table__main_section__right_part__text_container {
        padding: 8px 0;
        font-size: 10px;
        line-height: 10px;
      }

      .item-description-table__main_section__right_part__icons_container {
        display: flex;
        justify-content: space-between;
        min-width: 288px;
        width: 100%;
        height: 48px;
        flex-shrink: 0;

        button {
          box-sizing: border-box;
          width: 100%;
          height: 48px;
          display: flex;
          border: none;
          outline: none;
          background: none;
          justify-content: center;
          cursor: pointer;
          padding: 0;
        }

        span:hover {
          background-color: #d8d8d8;
        }
      }
    }
  }
  .item-description-table__footer {
    background: rgb(67, 74, 84);
    display: flex;
    justify-content: flex-end;
    button {
      height: 48px;
      width: 100%;
      max-width: 144px;
      display: flex;
      justify-content: center;
      align-items: center;
      color: white;
      text-transform: uppercase;
      border: none;
      outline: none;
      background: none;
      padding: 0;
      cursor: pointer;
      font-weight: 500;
      font-size: 16px;
    }
    button:nth-child(2) {
      background: rgb(233, 87, 63);
    }
    button:hover {
      text-decoration: underline;
    }
  }
  .item-description-table__footer.viewing {
    justify-content: space-between;
    button {
      width: 48px;
    }
    button:nth-child(2) {
      background: none;
    }
    button:hover,
    button:active,
    button:focus {
      background: rgba(255, 255, 255, 0.3);
    }
  }
}
@media all and (min-width: 359px) {
  .item-description-table {
    .item-description-table__main_section {
      .item-description-table__main_section__right_part {
        flex-wrap: nowrap;
        padding: 0 0 0 8px;
        .item-description-table__main_section__right_part__text_container {
          padding: 0px;
          display: flex;
          align-items: center;
          height: 100%;
          width: 100%;
        }
        .item-description-table__main_section__right_part__icons_container {
          flex-grow: 0;
          width: 288px;
        }
      }
    }
  }
}
@media all and (min-width:768px) {
  .item-description-table {
    font-size: 14px;
    .item-description-table__header {
      padding: 4px 8px;
      .item-description-table__header__main_info {
        display: block;
        display: flex;
        flex-wrap: wrap;
        align-content: center;
        width: calc(100% - 208px);
        padding: 0 16px;
        .item-description-table__header__main_info__name {
          width: 100%;
          margin-bottom: 2px;
          p {
            font-size: 16px;
            font-weight: 500;
            overflow: hidden;
            white-space: nowrap;
            text-overflow: ellipsis;
          }
        }
        .item-description-table__header__main_info__date_container {
          display: flex;
          width: 100%;
          p:first-child {
            margin-right: 3px;
          }
        }
      }
    }
    .item-description-table__main_section {
      padding: 22px 8px 22px 27px;
      flex-wrap: nowrap;
      justify-content: space-between;
      .item-description-table__main_section__left_part {
        padding: 0 8px 0 0;
        background: none;
        align-content: space-between;
        max-width: calc(100% - 386px);
        .item-description-table__main_section__left_part__name_container {
          font-size: 18px;
          color: rgba(0, 0, 0, 0.8);
          line-height: 26px;
          margin: 0;
          .item-description-table__main_section__left_part__name_container__item_type_name {
            margin-right: 5px;
            p {
              line-height: 26px;
            }
          }
          .item-description-table__main_section__left_part__name_container__item__name {
            p {
              line-height: 26px;
              input {
                font-size: 18px;
                height: 26px;
                color: rgba(0, 0, 0, 0.8);
                width: 100%;
                overflow: hidden;
                text-overflow: ellipsis;
              }
            }
          }
        }
        .item-description-table__main_section__left_part__date_author_container {
          width: 100%;
          display: flex;
          flex-wrap: nowrap;
          .item-description-table__main_section__left_part__author {
            display: block;
            display: flex;
            flex-wrap: nowrap;
            font-size: 14px;
            margin-right: 5px;
            overflow: hidden;
            .item-description-table__main_section__left_part__author_container__text {
              padding-right: 5px;
              flex-shrink: 0;
            }
            .item-description-table__main_section__left_part__date_container_author__current_author {
              padding-right: 75px;
              padding-left: 10px;
              box-sizing: border-box;
              width: 100%;
              p {
                white-space: nowrap;
                overflow: hidden;
                text-overflow: ellipsis;
                line-height: 1;
              }
            }
          }
          .item-description-table__main_section__left_part__date_container {
            width: 75px;
            .item-description-table__main_section__left_part__date_container_date {
              display: none;
            }
            .item-description-table__main_section__left_part__date_container__current_date {
              font-size: 14px;
            }
          }
        }
      }
      .item-description-table__main_section__right_part {
        border-left: 2px solid #d6d6d6;
        width: 384px;
        flex-shrink: 0;
        flex-grow: 0;
        padding: 0;
        .item-description-table__main_section__right_part__text_container {
          padding: 0 24px;
        }
      }
    }
  }
}

@media all and (max-width: 865px) {
    .item-description-table__footer:not(.viewing) {
      button {
          max-width: 50% !important ;
          width: 50% !important;
      }
    }
}

@media all and (min-width: 865px) {
  .item-description-table {
    .item-description-table__main_section {
      flex-wrap: wrap;
      .item-description-table__main_section__left_part {
        max-width: 100%;
        margin-bottom: 22px;
      }
      .item-description-table__main_section__right_part {
        width: 100%;
        border-left: none;
        .item-description-table__main_section__right_part__text_container {
          padding: 0;
          font-size: 14px;
        }
      }
    }
  }
}

@media all and (min-width: 992px) {
  .item-description-table {
    .item-description-table__main_section {
      flex-wrap: nowrap;
      .item-description-table__main_section__left_part {
        margin-bottom: 0;
        max-width: calc(100% - 386px);
      }
      .item-description-table__main_section__right_part {
        width: 384px;
        border-left: 2px solid #d6d6d6;
        .item-description-table__main_section__right_part__text_container {
          padding: 0 24px;
          font-size: 10px;
        }
      }
    }
  }
}
